# BEGIN SourceDeps(oneline):
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-PDF-Haru
Version:        1.00
Release:        alt3_9
Summary:        Perl interface to Haru Free PDF Library

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/PDF-Haru/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BU/BUTILW/PDF-Haru-%{version}.tar.gz

BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(AutoLoader.pm)
Buildrequires:  perl(XSLoader.pm)
Buildrequires:  perl(constant.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  libharu-devel


Source44: import.info

%description
Perl interface to Haru Free PDF Library. It supports the following features:

   1. Generating PDF files with lines, text, images.
   2. Outline, text annotation, link annotation.
   3. Compressing document with deflate-decode.
   4. Embedding PNG, Jpeg images.
   5. Embedding Type1 font and TrueType font.
   6. Creating encrypted PDF files.
   7. Using various character sets (ISO8859-1~16, MSCP1250~8, KOI8-R).
   8. Supporting CJK fonts and encodings.

%prep
%setup -q -n PDF-Haru-%{version}
chmod -x examples/*.pl


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README examples/
%{perl_vendorarch}/PDF/
%{perl_vendorarch}/auto/PDF/


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt3_9
- update to new release by fcimport

* Mon Sep 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.00-alt3_8
- rebuild with new libharu

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 1.00-alt2_8
- rebuild with new perl

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_8
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_7
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_5
- fc import

